"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiXExchangeAnalyticsQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiXExchangeAnalyticsQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'xExchangeAnalytics', args: [] });
    }
    metric(series, metric) {
        this.addToPath({
            name: 'metric',
            args: [
                { name: 'series', type: 'String!', value: series },
                { name: 'metric', type: 'String!', value: metric },
            ],
            hasQuery: true,
        });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiXExchangeAnalyticsQueryBuilder = DataApiXExchangeAnalyticsQueryBuilder;
//# sourceMappingURL=x.exchange.analytics.query.builder.js.map